Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4507 - /etc/pam.d/su includes xauth
Summary: /etc/pam.d/su includes xauth
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-13 13:53 UTC by Mads Kiilerich
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-27 22:48:17 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 1999-08-13 13:53:26 UTC
- that is:
session    optional     /lib/security/pam_xauth.so

That gives error messages in /var/log/secure when no X
packages is installed, e.g.:

Aug 13 04:02:00 ib pam_xauth[5549]: call_xauth: execve
failed for /usr/X11R6/bin
/xauth
Aug 13 04:02:00 ib pam_xauth[5548]: call_xauth: child
returned 1
Aug 13 04:02:01 ib pam_xauth[5551]: call_xauth: execve
failed for /usr/X11R6/bin
/xauth
Aug 13 04:02:01 ib pam_xauth[5548]: call_xauth: child
returned 1

I suggest that _if_ xauth&su "has to" be enabled in a
"normal" setup, then it should be added by the xauth
package.

Regards, Kiilerich

Comment 1 Cristian Gafton 1999-08-27 22:43:59 UTC
assigned to johnsonm

Comment 2 Michael K. Johnson 1999-08-27 22:48:59 UTC
Should be fixed in 0.68-3 or later when released; I have change those
messages to only show up when debugging is enabled.  The fact that it
logged those messages was left over from when I was debugging
pam_xauth and was not removed before only because I didn't normally
tickle it myself.

Thanks for the report!


Note You need to log in before you can comment on or make changes to this bug.